import React, { Component } from "react";
import "./App.css";
import { connect } from "react-redux";
import { bindActionCreators } from "redux";
import * as actions from "../actions/counter";
import { getPostRequest } from "../actions/post";

// import Count from "../components/counter";
// import Button from "../components/button";
import List from "../components/list";
// import mockPosts from "../constants/mockData";

class App extends Component {
	componentDidMount() {
		this.props.getPostRequest();
	}

	render() {
		const { posts } = this.props;
		return (
			<div className="App">
				{posts.map(el => (
					<List key={el.id} id={el.id} name={el.title} description={el.body} />
				))}
			</div>
		);
	}
}

const mapStateToProps = state => ({
	count: state.counter.data,
	posts: state.posts.data
});

const mapDispatchToProps = dispatch => bindActionCreators({ ...actions, getPostRequest }, dispatch);

export default connect(
	mapStateToProps,
	mapDispatchToProps
)(App);
